using UnityEngine;
using System.Collections;
using System.Collections.Generic;

// Wait for a given time
class Item_Wait : Item
	{
	int _waiting;
	
	public Item_Wait( int waiting )
	{
		_waiting = waiting;
	}
	
	public override string getLabel()
	{
		return "Item_Wait " + _waiting;
	}
	
	public override eTickMsg tick( TrackManager trackManager , Track track)
	{
		if( _waiting >= 0 && Time.time - track._timeBegin > _waiting )
			return eTickMsg.NEXT;
		else
			return eTickMsg.WAIT;
	}
	
	public override eReceiveMsg receive( TrackManager trackManager , Track track, Event evt )
	{
		return eReceiveMsg.I_DONT_CARE;
	}
	
	}
